<?php

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_cegg_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<p>To install Crazy Egg on this site enter it\'s script\'s URL in the field below. ' . sprintf( esc_html__( 'You will find it in Crazy Egg\'s dashboard. Go to %1$sthis page%2$s and copy the URL from the script. It should look like this //script.crazyegg.com/pages/scripts/XXXX/YYYY.js', 'fupi' ), '<a href="https://core.crazyegg.com/install/manually" target="_blank">', '</a>' ) . '</p>
				</div>
			</div>';
	break;

	// TAGS

	case 'fupi_cegg_tags':
		return '<h3 class="fupi_title">Tag your recordings</h3>
			<p>Tags are used to filter recordings in Crazy Egg\'s dashboard. Use them to easily find the recordings that are important to you.</p>';
	break;

	// USER IDENTIFICATION CONFIG

	case 'fupi_cegg_user':
		return '<h3 class="fupi_title">Identify users to quickly find their recordings</h3>';
	break;

	// E-COMMERCE TRACKING

	case 'fupi_cegg_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>Full Picture automatically tags Crazy Egg recordings with WooCommerce purchases, checkouts, product views, additions and removals from cart. It also tags them with additions to a wishlist if you configured it WooCommerce Tracking settings page.</p>
				<p>Tags are used to filter recordings in Crazy Egg\'s dashboard. Use them to easily find the recordings that are important to you.</p>
			</div>
		</div>';

	break;

    default:
        return '';
    break;
};

?>
