<?php

$info_block = '<div class="fupi_info_tabs">
	<button type="button" class="fupi_tab fupi_active">About</button>
	<div class="fupi_tab_content">
		<p>Use the fields below to add more tools to your website. Optionally, enable cookie notice and geolocation to get more control over how and where they are loaded.</p>
		<p>Do not add here scripts that must run on every page load for all visitors without exception. The scripts below will not run for excluded visitor roles, visitors from excluded countries (with geolocation module) or people who didn\'t agree to required cookies (with cookie notice module enabled).</p>
	</div>
	<button type="button" class="fupi_tab">How to use it</button>
	<div class="fupi_tab_content">
		<p><a href="https://fullpictureplugin.com/?p=11073&utm_source=useradmin&utm_medium=settings&utm_campaign=documentation_link" target="_blank">How to install custom scripts - the basics.</a>.</p>
		<p><a href="https://fullpictureplugin.com/?p=11888&utm_source=useradmin&utm_medium=settings&utm_campaign=documentation_link" target="_blank">How to add variables to scripts.</a></p>
	</div>
</div>';

switch( $a['id'] ){

	// HEAD

	case 'fupi_cscr_head':
		return '<h3 class="fupi_title">Add custom JavaScript to HTML &lt;head&gt; element</h3>' . $info_block;
	break;

	case 'fupi_cscr_footer':
		return '<h3 class="fupi_title">Add custom JavaScript before HTML &lt;/body&gt; element</h3>' . $info_block;
	break;

    default:
        return '';
    break;
};

?>
