<?php

switch( $a['id'] ){

	// MAIN

    case 'fupi_gtm_main':

        return '<h3 class="fupi_title">Basic setup</h3>
            <div class="fupi_info_tabs">
                <button type="button" class="fupi_tab fupi_active">Installation</button>
                <div class="fupi_tab_content">
                    <p>To install GTM please enter its Container ID in the field below. Learn <a href="https://www.optimizesmart.com/how-to-get-google-tag-manager-container-id/" target="_blank">where to find it</a>. Also, pay attention to the "rename dataLayer" option.</p>
                </div>
                <button type="button" class="fupi_tab">How it works</button>
                <div class="fupi_tab_content">
                    <p>Full Picture adds GTM container to every page. Container is added to the &lt;head> and is initiated before the DOM loads.</p>
                    <p>Unlike other tools integrated with Full Picture, GTM is not loaded conditionally - the container runs on every page, even for website administrator and excluded users (even those excluded with a URL parameter ?tracking=off - see General Settings for more info).</p>
                    <p>If you want GTM not to load some scripts for some users, you will have to set the required conditions in the GTM dashboard yourself. To make it easier for you, Full Picture can push to the dataLayer information on the cookies that the user agreed to, when they did it and what is their user role.</p>
                    <p>If this configuration is too much for you, please consider using "Custom Scripts" module instead. It is designed to load scripts when and where they are needed and with compliance with GDPR and other privacy policies.</p>
                </div>
            </div>';

    break;

    // CLICK TRACKING

	case 'fupi_gtm_clicks':
		return '<h3 class="fupi_title">Track clicks on important links and page elements</h3>';
	break;

	// FORM TRACKING

	case 'fupi_gtm_forms':
		return '<h3 class="fupi_title">Track when your visitors submit forms on your site</h3>';
	break;

	// SCROLL TRACKING

	case 'fupi_gtm_scrolls':
		return '<h3 class="fupi_title">Track page scrolls and element visibility</h3>';
	break;

	// URL TRACKING

	case 'fupi_gtm_urls':
		return '<h3 class="fupi_title">Track changes of page address</h3>';
	break;

    // USER INFO

    case 'fupi_gtm_users':
		return '<h3 class="fupi_title">Track visitors\' information</h3>';
	break;

    // WP DATA TRACKING

	case 'fupi_gtm_wpdata':
		return '<h3 class="fupi_title">Track data from your WordPress site</h3>';
	break;

    // E-COMMERCE

	case 'fupi_gtm_ecomm_pro':

        return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
            <div class="fupi_info_tabs">
                <button type="button" class="fupi_tab fupi_active">How does it work?</button>
                <div class="fupi_tab_content">
                    <p>Full Picture automatically pushes to the dataLayer information on purchases, checkouts, list item views, list item clicks, product views and additions and removals from cart. It also tracks when products are added to wishlists. To track when products are added to a wishlist or change how the data is tracked, please visit WooCommerce Tracking settings page.</p>
                </div>
            </div>';

	break;

    default:
        return '';
    break;
};

?>
