<?php

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_insp_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">Installation</button>
			<div class="fupi_tab_content">
				<p>' . sprintf( esc_html__( 'To install Inspectlet enter Site ID in the field below. Go to %1$sInspectlet\'s dashboard%2$s, choose your website and then click "Settings" (NOT "Account settings").  Site ID will be in the page\'s URL, e.g.', 'fupi' ), '<a href="https://www.inspectlet.com/dashboard" target="_blank">', '</a>' ) . ' https://www.inspectlet.com/dashboard/site_settings/</strong>SITE_ID</strong>' . '</p>
			</div>
		</div>';

	break;

	// TAGS

	case 'fupi_insp_tags':
		return '<h3 class="fupi_title">Tag your recordings</h3>
		<p>Tags help you quickly find the recordings you need in your Inspectlet\'s dashboard</p>';
	break;

	// USER IDENTIFICATION

	case 'fupi_insp_user':
		return '<h3 class="fupi_title">Identify users to associate them with session recordings</h3>';
	break;

	// E-COMMERCE

	case 'fupi_insp_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>Tags help you quickly find the recordings you need in your Inspectlet\'s dashboard</p>
				<p>Full Picture automatically tags Inspectlet\'s session recordings on purchase, checkout, when a product is viewed, added or removed from cart and added to a wishlist (requires additional setup on WooCommerce tracking settings page).</p>
			</div>
		</div>';
	break;

    default:
        return '';
    break;
};

?>
