<?php

$fupi_ext = get_option('fupi_ext');

switch( $a['id'] ){

	// BASIC CONFIG

	case 'fupi_pin_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">Installation</button>
			<div class="fupi_tab_content">
				<p>To install Pinterest Conversion Tag on your website paste your Tag ID in the field below.</p>
				<p>' . esc_html__( 'To get Pinterest Tag ID go to your Pinterest dashboard > in the menu click "Ads" > "Conversions" > Pinterest Tag is in the table in the screen center.', 'fupi') . '</p>
			</div>
		</div>';

	break;

	// TRACKING USER DATA

	case 'fupi_pin_track':
		return '<h3 class="fupi_title">Tracking</h3>';
	break;

	// E-COMMERCE

	case 'fupi_pin_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>This module automatically tracks WooCommerce purchases, product views and adding products to cart. The data is sent to Pinterest where you can use it for conversion tracking and audience building.</p>
			</div>
		</div>';
	break;

    default:
        return '';
    break;
};

?>
