<?php

switch( $a['id'] ){

	// INTEGRATIONS
	// <a href="" data-srcid="9EIODjx3jy0" class="fupi_vid_thumb fupi_vid"><img src="'.FUPI_URL.'\admin\settings\img\fp-first-steps-vid_min.jpg"><span class="fupi_vid_thumb_play_btn dashicons dashicons-controls-play"></span></a>
	case 'fupi_tools_integrations':

		return '
		<div id="fupi_faux_tools_list">
			<h3 id="fupi_tools_faux_title" class="fupi_title">' . esc_html__( 'Tools', 'fupi' ) . ' <button type="button" id="fupi_change_tools" class="fupi_change_modules_link"><span>Add/remove</span></button></h3>
			<table id="fupi_tools_faux" class="fupi_table_grid" style="display: none;">
				<tbody></tbody>
			</table>
			<h3 id="fupi_privacy_faux_title" class="fupi_title">' . esc_html__( 'Privacy solutions', 'fupi' ) . ' <button type="button" id="fupi_change_privacy" class="fupi_change_modules_link"><span>Add/remove</span></button></h3>
			<p id="fupi_no_privacy_modules_selected">You have not enabled any privacy modules.</p>
			<table id="fupi_privacy_faux" class="fupi_table_grid" style="display: none;">
				<tbody></tbody>
			</table>
			<h3 id="fupi_ext_faux_title" class="fupi_title">' . esc_html__( 'Extensions', 'fupi' ) . ' <button type="button" id="fupi_change_ext" class="fupi_change_modules_link"><span>Add/remove</span></button></h3>
			<p id="fupi_no_modules_selected">You have not enabled any extensions.</p>
			<table id="fupi_ext_faux" class="fupi_table_grid" style="display: none;">
				<tbody></tbody>
			</table>
			<h3 id="fupi_generalset_faux_title" class="fupi_title">' . esc_html__( 'General plugin settings', 'fupi' ) . '</h3>
			<table id="fupi_ext_faux" class="fupi_table_grid">
				<tbody>
					<tr>
						<th scope="row">
							<div class="fupi_field_title_wrap">
								<img class="fupi_label_icon" src="' . FUPI_URL . '/admin/settings/img/settings_ico.png" aria-hidden="true">
								General Settings
							</div>
						</th>
						<td>
							<a href="admin.php?page=full_picture_main" class="button button-secondary">Settings</a>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		<div id="fupi_step1_text">
			<h3 class="fupi_title">' .  sprintf( esc_html__( '%1$sStep 1/3:%2$s Select the tools you want to use on this site', 'fupi' ), '<span style="color: #7e9b0b">', '</span>' ) . '</h3>
			<p>Click "info" icons below to learn more about these tools.</p>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Recommended tools</button>
				<div class="fupi_tab_content">
					<ul>
						<li><strong>Microsoft Clarity</strong> - best for non-professional uses to collect actionable insights for improving the website.</li>
						<li><strong>Plausible Analytics</strong> - best for cookie-less tracking that is not blocked by ad-blocks. Displays in the WP\'s admin dashboard easy to understand website traffic statistics.</li>
						<li><strong>Google Analytics 4</strong> - best for advanced tracking for advanced users (not allowed in some EU countries!).</li>
						<li><strong>Custom Scripts module</strong> - best for installing additional scripts and tools and loading them in accordance with privacy regulations.</li>
					</ul>
				</div>
				<button type="button" class="fupi_tab">Filters</button>
				<div class="fupi_tab_content">
					<div id="fupi_tools_filters_wrap">
						<div class="fupi_col">
							<div id="fupi_price_tools_filter">
								<label class="fupi_switch"><input type="checkbox" id="fupi_show_free_tools_switch"/><span class="fupi_slider"></span></label>
								<span class="fupi_faux_label" style="display: inline">' . esc_html__('Free tools or tools with a free plan', 'fupi') . ' </span>
							</div>
							<div id="fupi_admindash_tools_filter">
								<label class="fupi_switch"><input type="checkbox" id="fupi_show_admindash_tools_switch"/><span class="fupi_slider"></span></label>
								<span class="fupi_faux_label" style="display: inline">' . esc_html__('Tools that display statistics in WP admin', 'fupi') . ' </span>
							</div>
							<div id="fupi_nocookie_tools_filter">
								<label class="fupi_switch"><input type="checkbox" id="fupi_show_nocookie_tools_switch"/><span class="fupi_slider"></span></label>
								<span class="fupi_faux_label" style="display: inline">' . esc_html__('Tools that don\'t use cookies', 'fupi') . ' </span>
							</div>
						</div>
						<div class="fupi_col">
							<div id="fupi_tools_filter">
								<span class="fupi_faux_label" tyle="display: inline">' . esc_html__('Tools for', 'fupi') . ': </span>
								<select>
									<option value="">'. esc_attr__('Show all', 'fupi') .'</option>
									<option value="fupi_tag_analytics">'. esc_attr__('Traffic statistics', 'fupi') .'</option>
									<option value="fupi_tag_recording">'. esc_attr__('Heatmaps & session recording', 'fupi') .'</option>
									<option value="fupi_tag_conversion">'. esc_attr__('Advertising & conversions tracking', 'fupi') .'</option>
									<option value="fupi_tag_testing">'. esc_attr__('A/B Testing', 'fupi') .'</option>
									<option value="fupi_tag_manager">'. esc_attr__('Adding custom scripts', 'fupi') .'</option>
									<option value="fupi_tag_surveys">'. esc_attr__('Conducting surveys', 'fupi') .'</option>
								</select>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>';

	break;

	// PRIVACY

	case 'fupi_tools_privacy':
		return '<h3 class="fupi_title">' . sprintf( esc_html__( '%1$sStep 2/3:%2$s Enable privacy solutions (optional)', 'fupi' ), '<span style="color: #7e9b0b">', '</span>' ) . '</h3>
		<p>Click "info" icons below to learn more about these modules.</p>';
	break;

	// EXTRA

	case 'fupi_tools_ext':
		return '<h3 class="fupi_title">' . sprintf( esc_html__( '%1$sStep 3/3:%2$s Extend Full Picture (optional)', 'fupi' ), '<span style="color: #7e9b0b">', '</span>' ) . '</h3>
			<p>Extensions add extra features to Full Picture. Some of them work only with specific modules. Click "info" icons below to learn more.</p>';
	break;

	// DEFAULT

	default:
		return '';
	break;
};

?>
