(()=>{

	// MARK TABLE ROWS WITH FIELDS ADDED BY EXTENSIONS

	let ext_fields = FP.findAll('.fupi_ext_field');
	ext_fields.forEach( field => field.closest('tr').classList.add('fupi_ext_options') );

})();

(()=>{

	// TAB NAVIGATION

	document.addEventListener('click', e=>{
		if ( e.target.classList.contains('fupi_tab') && ! e.target.classList.contains('fupi_active') ){
			FP.findFirst( '.fupi_tab.fupi_active', e.target.parentElement ).classList.remove('fupi_active');
			e.target.classList.add('fupi_active');
		}
	})

})();

(()=>{

	// ADD "EXTERNAL" DASHICON TO LINKS

	window.addEventListener( 'DOMContentLoaded', ()=>{

		let links = FP.findAll('#fupi_main_col a');

		links.forEach( link => {
			if ( ! FP.isIn( document.location.host, link.href ) && ! link.classList.contains('fupi_vid') ) {
				link.insertAdjacentHTML('beforeend', ' <span class="dashicons dashicons-external"></span>');
			}
		})

	})
})();
