<?php

$output = array();
if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		switch ($clean_key) {
			case 'id':
				$clean_val = trim( sanitize_text_field( $value ) );
				break;
			case 'limit_country':

				$clean_val = [];

				if ( is_array( $value ) && ! empty( $value['method'] ) && ! empty( $value['countries'] ) ) {
					$clean_val['method'] = sanitize_key( $value['method'] );
					$clean_val['countries'] = trim( sanitize_text_field( $value['countries'] ) );
				};

				break;
			default:
				$clean_val = strip_tags( stripslashes( $value ) );
				break;
		}

		if ( ! empty( $clean_key ) && ! empty ( $clean_val ) ) {
			$output[$clean_key] = $clean_val;
		}
	}
}



return $output;
?>
