<?php

// TOOLS

$tools_fields = array(

	// GA 4
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/analytics_fav.png" aria-hidden="true">Google Analytics 4</div>',
		'field_id' 			=> 'ga41',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_analytics fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_condition fupi_module',
		'el_data_target'	=> 'fupi_ga4_subs',
		'el_data_name'		=> 'Google Analytics 4',
		'popup2'			=> '<p><strong>Important!</strong> Due to privacy issues it is illegal to use Google Analytics (any version) in Austria, the Netherlands, France, Denmark and Italy. Other European countries may soon follow.</p>
		<p>Google Analytics 4 is the latest and currently the default analytics tool from Google (users can still use the previous version although it will stop working on 1st July 2023). Since this version is not so well-suited for tracking website traffic as the previous version, we recommend that you use both of them.</p>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: difficult</li>
			<li>Learning curve: High</li>
			<li>Best for: advanced marketers and data analysts</li>
		</ol>',
	),

		// GA 4 #2
		array(
			'type' 				=> 'toggle',
			'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/analytics_fav.png" aria-hidden="true">Google Analytics 4 #2</div>',
			'field_id' 			=> 'ga42',
			'option_arr_id'		=> $option_arr_id,
			'class'				=> 'fupi_tag fupi_sub fupi_ga4_subs fupi_disabled fupi_tag_analytics fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash fupi_lite',
			'el_class'			=> 'fupi_module',
			'el_data_name'		=> 'Google Analytics 4 #2',
		),

	// GA UA #1
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/analytics_fav.png" aria-hidden="true">Google Analytics UA</div>',
		'field_id' 			=> 'ga1',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_analytics fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_condition fupi_module',
		'el_data_target'	=> 'fupi_ga_subs',
		'el_data_name'		=> 'Google Analytics UA',
		'popup2'			=> '<p><strong>Important!</strong> This version of Google Analytics will be phased out from the 1st of July 2023.</p>
		<p>Google Analytics (any version) is illegal to use in Austria, the Netherlands, France, Denmark and Italy. Other European countries may soon follow.</p>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: difficult</li>
			<li>Learning curve: High</li>
			<li>Best for: advanced marketers and data analysts</li>
		</ol>',
	),

		// GA UA #2
		array(
			'type' 				=> 'toggle',
			'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/analytics_fav.png" aria-hidden="true">Google Analytics UA #2</div>',
			'field_id' 			=> 'ga2',
			'option_arr_id'		=> $option_arr_id,
			'class'				=> 'fupi_tag fupi_sub fupi_ga_subs fupi_disabled fupi_tag_analytics fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash fupi_lite',
			'el_class'			=> 'fupi_module',
			'el_data_name'		=> 'Google Analytics UA #2',
		),

	// Google Ads
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/gads_fav.png" aria-hidden="true">Google Ads</div>',
		'field_id' 			=> 'gads',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Google Ads',
		'popup'				=> '<p>Google Ads integration allows you to quickly set up tracking conversions from your Google advertising campaigns.</p>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: difficult</li>
			<li>Learning curve: medium</li>
			<li>Best for: experienced marketers</li>
		</ol>
		<p><strong>Attention!</strong> Both Google Analytics versions (UA and 4) can also track conversions but at the same time they offer more audience building options for remarketing purposes. You should use them instead of Google Ads if you can handle the learning curve.</p>',
	),

	// Google Optimize
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/goptimize_fav.png" aria-hidden="true">Google Optimize</div>',
		'field_id' 			=> 'gopt',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_testing fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Google Optimize',
		'popup'				=> '<p>Google Optimize lets you:</p>
		<ol>
			<li>test multiple versions of your content or design to check which one works better,</li>
			<li>personalize your website (in real time) to better suit your visitors.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: medium</li>
			<li>Learning curve: medium (the service is easy to learn but properly using it requires specific knowledge)</li>
			<li>Best for: designers, developers and site admins. Website needs to have large traffic for A/B tests to reach statistically valid results.</li>
		</ol>',
	),

	// FB Pixel #1
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/facebook_fav.png" aria-hidden="true">Facebook Pixel</div>',
		'field_id' 			=> 'fbp1',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_condition fupi_module',
		'el_data_target'	=> 'fupi_fbp_subs',
		'el_data_name'		=> 'Facebook Pixel',
		'popup'				=> '<p>Facebook Pixel lets you:</p>
		<ol>
			<li>build lists of visitors who may be interested in your offer (for Facebook remarketing)</li>
			<li>and measure the conversions from Facebook advertising campaigns.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: difficult</li>
			<li>Learning curve: medium</li>
			<li>Best for: experienced marketers.</li>
		</ol>',
	),

	// FB Pixel #2
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/facebook_fav.png" aria-hidden="true">Facebook Pixel #2</div>',
		'field_id' 			=> 'fbp2',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_sub fupi_fbp_subs fupi_disabled fupi_uses_cookies fupi_has_no_admin_dash fupi_lite',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Facebook Pixel #2',
	),

	// Microsoft Advertising
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/microsoft_fav.png" aria-hidden="true">Microsoft Advertising</div>',
		'field_id' 			=> 'mads',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'MS Ads',
		'popup'				=> '<p>Microsoft Advertising integration allows you to:</p>
		<ol>
			<li>build lists of visitors who may be interested in your offer - to show them ads on Bing, Yahoo and other search engines</li>
			<li>and measure the conversions of those ads.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: difficult</li>
			<li>Learning curve: medium</li>
			<li>Best for: experienced marketers.</li>
		</ol>',
	),

	// Microsoft Clarity
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/microsoft_fav.png" aria-hidden="true">Microsoft Clarity</div>',
		'field_id' 			=> 'clar',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_recording fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'MS Clarity',
		'popup'				=> '<p>Microsoft Clarity lets you:</p>
			<ol>
				<li>collect basic traffic statistics,</li>
				<li>record how your users interact with your website (see where they click the most and the least).</li>
			</ol>
			<p>Characteristics:</p>
			<ol>
				<li>How difficult is it to properly use it: easy</li>
				<li>Learning curve: low</li>
				<li>Best for: non-professional use (read below).</li>
			</ol>
			<p><strong>Attention!</strong> In my tests I have noticed that Microsoft Clarity does not record all user sessions. That is why I recommend this tool for non-professional use cases only.</p>',
	),

	// LinkedIn
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/linkedin-fav.png" aria-hidden="true">LinkedIn Insight</div>',
		'field_id' 			=> 'linkd',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'LinkedIn',
		'popup'				=> '<p>LinkedIn integration allows you to:</p>
		<ol>
			<li>build lists of visitors who may be interested in your offer (to show them ads on Linked In)</li>
			<li>and measure the conversions of those ads.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: medium</li>
			<li>Learning curve: medium</li>
			<li>Best for: intermediate marketers.</li>
		</ol>',
	),

	// Pinterest
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/pinterest_fav.png" aria-hidden="true">Pinterest Conversion Tag</div>',
		'field_id' 			=> 'pin',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Pinterest',
		'popup'				=> '<p>Pinterest integration allows you to:</p>
		<ol>
			<li>build lists of visitors who may be interested in your offer (to show them ads on Pinterest)</li>
			<li>and measure the conversions of those ads.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: medium</li>
			<li>Learning curve: low</li>
			<li>Best for: beginner marketers.</li>
		</ol>',
	),

	// TikTok Pixel
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/tiktok_fav.png" aria-hidden="true">TikTok Pixel</div>',
		'field_id' 			=> 'tik',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'TikTok Pixel',
		'popup'				=> '<p>TikTok Pixel allows you to:</p>
		<ol>
			<li>build lists of visitors who may be interested in your offer - to show them ads on TikTok</li>
			<li>and measure the conversions of those ads.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: medium</li>
			<li>Learning curve: low</li>
			<li>Best for: beginner marketers.</li>
		</ol>',
	),

	// Twitter
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/twitter-fav.png" aria-hidden="true">Twitter Ads</div>',
		'field_id' 			=> 'twit',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_conversion fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Twitter Ads',
		'popup'				=> '<p>Twitter integration allows you to:</p>
		<ol>
			<li>build lists of visitors who may be interested in your offer (to show them ads on Twitter)</li>
			<li>and measure the conversions of those ads.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: medium</li>
			<li>Learning curve: medium</li>
			<li>Best for: intermediate marketers.</li>
		</ol>',
	),

	// Hotjar
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/hotjar_fav.png" aria-hidden="true">Hotjar</div>',
		'field_id' 			=> 'hotj',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_recording fupi_tag_surveys fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Hotjar',
		'popup'				=> '<p>Hotjar is a business-oriented tool that lets you:</p>
		<ol>
			<li>record how your users interact with your website,</li>
			<li>see where they click the most and the least,</li>
			<li>and collect user feedback.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: easy</li>
			<li>Learning curve: low</li>
			<li>Best for: all types of users, professional and non-professional uses.</li>
		</ol>',
	),

	// Inspectlet
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/inspectlet_fav.png" aria-hidden="true">Inspectlet</div>',
		'field_id' 			=> 'insp',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_recording fupi_tag_testing fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Inspectlet',
		'popup'				=> '<p>Inspectlet allows you to:</p>
		<ol>
			<li>record how your users interact with your website,</li>
			<li>see where they click the most and the least,</li>
			<li>collect user feedback,</li>
			<li>and test multiple versions of your content to see which performs better.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use session recording and heatmaps: easy</li>
			<li>How difficult is it to properly use A/B tests: medium</li>
			<li>Learning curve: easy (recordings and heatmaps), medium (A/B tests - requires specific knowledge)</li>
			<li>Best for: all websites and users, professional and non-professional. I recommend testing content only on websites with large traffic (it is required to reach statistically valid test results).</li>
		</ol>',
	),

	// Plausible
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/plausible_fav.png" aria-hidden="true">Plausible</div>',
		'field_id' 			=> 'pla',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_analytics fupi_paid_tool',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Plausible',
		'popup'				=> '<p>Plausible is a basic tracking tool that:</p>
		<ol>
		 	<li>can be configured in a way that it is not blocked by ad blocking solutions,</li>
			<li>does not use cookies (and so it does not require a cookie notice),</li>
			<li>lets you measure how much traffic is not tracked by other tools,</li>
			<li>lets you view your website statistics directly in your Wordpress admin panel.</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: easy</li>
			<li>Learning curve: low</li>
			<li>Best for: all types of users, professional and non-professional uses.</li>
		</ol>',
	),

	// Crazy Egg
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/crazyegg_fav.png" aria-hidden="true">Crazy Egg</div>',
		'field_id' 			=> 'cegg',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_testing fupi_tag_recording fupi_uses_cookies fupi_has_no_admin_dash fupi_paid_tool',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Crazy Egg',
		'popup'				=> '<p>Crazy Egg allows you to:</p>
		<ol>
			<li>record how your users interact with your website,</li>
			<li>see where they click the most and the least,</li>
			<li>and test multiple versions of your content (to see which performs better).</li>
		</ol>
		<ol>
			<li>How difficult is it to properly use session recording and heatmaps: easy</li>
			<li>How difficult is it to properly use A/B tests: medium</li>
			<li>Learning curve: easy (recordings and heatmaps), medium (A/B tests - requires specific knowledge)</li>
			<li>Best for: all websites and users, professional and non-professional. I recommend testing content only on websites with large traffic (it is required to reach statistically valid test results).</li>
		</ol>',
	),

	// Splitbee
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/splitbee_fav.png" aria-hidden="true">Splitbee</div>',
		'field_id' 			=> 'sbee',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_tag fupi_tag_analytics fupi_tag_testing fupi_uses_cookies fupi_has_no_admin_dash',
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Splitbee',
		'popup'				=> '<p>Splitbee is a simple tracking tool that:</p>
		<ol>
			<li>has a no-cookie mode (can start tracking before visitors agree to cookies)</li>
			<li>can be configured to track clicks in cookie notice buttons</li>
			<li>automatically trigger actions (like sending you an email) after specific actions on site</li>
			<li>run simple content experiments (to compare different versions of your content),</li>
		</ol>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: easy</li>
			<li>Learning curve: low (statistics), high (content experiments)</li>
			<li>Best for: small to medium sized websites, non or semi-professional use cases. I recommend testing content only on websites with large traffic (it is required to reach statistically valid test results).</li>
		</ol>',
	),

	// GTM
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/gtm_fav.png" aria-hidden="true">Google Tag Manager</div>',
		'field_id' 			=> 'gtm',
		'class'				=> 'fupi_tag fupi_tag_manager fupi_has_no_admin_dash',
		'option_arr_id'		=> $option_arr_id,
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'GTM',
		'popup'				=> '<p><strong>Attention!</strong> I recommend that you use "Custom scripts" module instead of Google Tag Manager. Configuring GTM so that it respects visitor\'s cookie choices requires extra effort, knowledge and experience with the tool.<p>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: easy (basic adding scripts) to hard (advanced setups)</li>
			<li>Learning curve: low (basic adding scripts) to hard (advanced setups)</li>
			<li>Best for: marketers and developers on different levels of experience.</li>
		</ol>',
	),

	// Custom scripts
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/custom_scr_ico.png" aria-hidden="true">Custom Scripts</div>',
		'field_id' 			=> 'cscr',
		'class'				=> 'fupi_tag fupi_tag_manager fupi_has_no_admin_dash',
		'option_arr_id'		=> $option_arr_id,
		'el_class'			=> 'fupi_module',
		'el_data_name'		=> 'Custom Scripts',
		'popup'				=> '<p>The recommended method of adding custom scripts to the site. Each script can be set up to load in a privacy-friendly way (respecting visitors\' cookie choices) without any extra effort.</p>
		<p>Characteristics:</p>
		<ol>
			<li>How difficult is it to properly use it: easy (basic adding scripts) to medium (advanced setups)</li>
			<li>Learning curve: low (basic adding scripts) to medium (advanced setups)</li>
			<li>Best for: marketers and developers on different levels of experience.</li>
		</ol>',
	),
);

$tools_fields = apply_filters( 'fupi_add_integr_in_tools_page', $tools_fields );

array_push( $tools_fields, array(
	'type'	 			=> 'button',
	'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/addons_ico.png" aria-hidden="true">' . esc_html__( 'Add more', 'fupi' ) . '</div>',
	'button_text' 		=> esc_html__( 'View add-ons', 'fupi' ),
	'href'				=> 'https://fullpictureplugin.com/addons/',
	'target'			=> '_blank',
	'class'				=> 'fp_button_wrap',
	'el_class'			=> 'button button-secondary',
	'field_id' 			=> 'customize_notice_btn',
	'option_arr_id'		=> $option_arr_id,
) );

$privacy_fields = array(
	array(
		'type'	 			=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/cookie_icon.png" aria-hidden="true">' . esc_html__('Cookie Notice','fupi') . '</div>',
		'field_id' 			=> 'cook',
		'el_class'			=> 'fupi_condition fupi_module',
		'el_data_target'	=> 'fupi_cook_cond',
		'option_arr_id'		=> $option_arr_id,
		'after field'		=> 'Loads cookies according to visitor\'s choices. Complies with all cookie regulations.',
		'popup'				=> '<p>Easily comply with privacy laws. Enabling this module is optional but strongly recommended.</p>',
		'popup'				=> '<p><strong>What does it do?</strong> This module displays a cookie notice that fully complies with privacy-policies and cookie laws in various countries. It allows for true opt-in cookie-loading while not requiring paying any monthly subscription. The notice can be styled and translated (tested with WPML and Polylang) according to your needs.</p>
		<p><strong>Added settings:</strong> When enabled, this module will add a separate settings page to your WordPress admin panel where you can specify how the cookie notice will work. You will also find a new theme customizer panel, where you can style it. And finally some new fields will be added to settings pages of your tracking tools.</p>
		<p><strong>Compatible tools:</strong> This integration works with all the tools available in Full Picture except the ones that don\'t use cookies (Plausible, Splitbee, GTM).</p>',
	),
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/iframeblock_ico.png" aria-hidden="true">Iframe Blocking</div>',
		'field_id' 			=> 'iframeblock',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_sub fupi_cook_cond',
		'el_class'			=> 'fupi_module',
		'after field'		=> 'Block loading content from external sources until visitors agree to cookies',
		'popup'				=> '<p><strong>What does it do?</strong> This module lets you block iframes and embedded content that saves cookies on user\'s devices. You can set a placeholder image that will be shown until visitors agree to cookies. Iframes / embedded content will load only when users agree to cookies.</p>
		<p><strong>how does it work?</strong> To block iframes/embedded content you will have to wrap them with shortcodes like (tutorial is provided).</p>
		<p><strong>Added settings:</strong> When enabled, this module will add a separate settings page to your WordPress admin panel.</p>',
	),
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/privex_ico.png" aria-hidden="true">Privacy Policy Extras</div>',
		'field_id' 			=> 'privex',
		'option_arr_id'		=> $option_arr_id,
		'el_class'			=> 'fupi_module',
		'after field'		=> 'Display in your privacy policy an always-current list of the tracking tools you use',
		'popup'				=> 'This module lets you show in your privacy policy a list of all the tools that are enabled in Full Picture and which use cookies. The module can also display all the custom scripts added with "Custom Scripts" tool.',
	),
);

$privacy_fields = apply_filters( 'fupi_add_to_tools_tools_menu', $privacy_fields );

array_push( $privacy_fields, array(
	'type'	 			=> 'button',
	'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/addons_ico.png" aria-hidden="true">' . esc_html__( 'Add more', 'fupi' ) . '</div>',
	'button_text' 		=> esc_html__( 'View add-ons', 'fupi' ),
	'href'				=> 'https://fullpictureplugin.com/addons/',
	'target'			=> '_blank',
	'class'				=> 'fp_button_wrap',
	'el_class'			=> 'button button-secondary',
	'field_id' 			=> 'customize_notice_btn',
	'option_arr_id'		=> $option_arr_id,
) );

$woo_disabled_class = function_exists('WC') ? '' : ' fupi_disabled';

$extensions_fields = array(
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/woo_fav.png" aria-hidden="true">' . esc_html__('WooCommerce','fupi') . '</div>',
		'field_id' 			=> 'woo',
		'el_class'			=> 'fupi_data_source',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_pro' . $woo_disabled_class,
		'after field'		=> 'Automatically track WooCommerce purchases and other events (compatible with all the analytics & marketing tools)',
		'popup'				=> '<p><strong>What does it do?</strong> This extension automatically tracks when users view products, add them to a cart, visit the checkout page, purchase and do other actions.</p>
		<p><strong>Added settings:</strong> When enabled this integration will add a separate settings page and new fields to settings pages of your tracking tools.</p>
		<p><strong>Compatible tools:</strong> This integration works with all the tracking, marketing and other tools available in Full Picture. The types of reported user actions is different depending on the tool.</p>
		<p><strong>Requirements:</strong> Requires WooCommerce v.3.7 or newer.</p>',
	),
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/ext_ico.png" aria-hidden="true">Custom Meta Data</div>',
		'field_id' 			=> 'trackmeta',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_lite',
		'el_class'			=> 'fupi_module',
		'after field'		=> 'Track data added by various plugins and frameworks',
		'popup'				=> '<p><strong>What does it do?</strong> This extension lets you track custom meta data from posts, pages, products and other "single" page types added by plugins and frameworks like Advanced Custom Fields or Meta Box.</p>
		<p><strong>Added settings:</strong> When enabled this integration will add a separate settings page where you can set up what custom meta data you want to track. It will also add new fields to settings pages of specific tracking tools.</p>
		<p><strong>Compatible tools:</strong> At the moment this function works in Google Analytics, Facebook Pixel, GTM and Microsoft Clarity. Integrations with other tools will be added in the following updates.</p>',
	),
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/geo_ico.png" aria-hidden="true">Geolocation</div>',
		'field_id' 			=> 'geo',
		'option_arr_id'		=> $option_arr_id,
		'el_class'			=> 'fupi_module',
		'after field'		=> 'Load tracking tools, scripts and show the cookie notice in specific countries',
		'popup'				=> '<p><strong>What does it do?</strong> Geolocation lets you track visitors, run custom scripts and show cookie notice only in chosen countries. Additionally, developers can save user\'s country in JavaScript variable for use in their own scripts.</p>
		<p><strong>Added settings:</strong> When enabled, this module will add a separate settings page to your WordPress admin panel and additional options to the settings of enabled tools.</p>
		<p><strong>Compatible tools:</strong> This integration works with all the tracking, marketing and other tools available in Full Picture.</p>',
	),
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/pagelabel_ico.png" aria-hidden="true">Page Labels</div>',
		'field_id' 			=> 'labelpages',
		'option_arr_id'		=> $option_arr_id,
		'class'				=> 'fupi_lite',
		'el_class'			=> 'fupi_module',
		'after field'		=> 'Label pages (useful for advanced traffic analysis)',
		'popup'				=> '<p><strong>What does it do?</strong> This module lets you label pages according to their type, e.g. landing page, contact page, etc. This information can later be sent to (specific) tracking and marketing tools for analysis or be used by developers (label is available in fpdata object). ' . sprintf( esc_html__('%1$sLearn more%2$s.', 'fupi'), '<a href="https://fullpictureplugin.com/?p=3713&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">', '</a>') . '</p>
		<p><strong>Added settings:</strong> When you enable this module a new field will show up on your page "edit" screens. You will be able to add your labels there. Also a new column with labels will be added to your list of pages in the admin.</p>
		<p><strong>Compatible tools:</strong> This integration works with Google Analytics (both UA and 4), Facebook Pixel and Google Tag Manager. Support in other tools will be added in future releases.</p>',
	),
	array(
		'type' 				=> 'toggle',
		'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/brokenlink_ico.png" aria-hidden="true">Broken Links Tracking</div>',
		'field_id' 			=> 'track404',
		'option_arr_id'		=> $option_arr_id,
		'el_class'			=> 'fupi_module',
		'after field'		=> 'Track broken links (in your analytics tools) and redirect them to a custom 404 page',
		'popup'				=> '<p><strong>What does it do?</strong> This module lets you track broken links and set up your custom 404 page.</p>
		<p><strong>How does it work?</strong> When enabled, special parameters will be added to your broken links which will make it possible to track them in analytics tools. Attention! Tracking is possible only in tools that let you view full URLs (with parameters), e.g. Google Analytics or Microsoft Clarity.</p>
		<p><strong>Added settings:</strong> When you enable this module a new settings page will be added to your WordPress admin.</p>
		<p><strong>Compatible tools:</strong> Any tools that let you view full URLs (with parameters), e.g. Google Analytics or Microsoft Clarity. </p>',
	),
);

$extensions_fields = apply_filters( 'fupi_add_to_ext_tools_menu', $extensions_fields );

array_push( $extensions_fields, array(
	'type'	 			=> 'button',
	'label' 			=> '<div class="fupi_field_title_wrap"><img class="fupi_label_icon" src="' . FUPI_URL . 'admin/settings/img/addons_ico.png" aria-hidden="true">' . esc_html__( 'Add more', 'fupi' ) . '</div>',
	'button_text' 		=> esc_html__( 'View add-ons', 'fupi' ),
	'href'				=> 'https://fullpictureplugin.com/addons/',
	'target'			=> '_blank',
	'class'				=> 'fp_button_wrap',
	'el_class'			=> 'button button-secondary',
	'field_id' 			=> 'customize_notice_btn',
	'option_arr_id'		=> $option_arr_id,
) );


// ALL TOGETHER

$sections = array(

	// TOOLS

	array(
		'section_id' => 'fupi_tools_integrations',
		'section_title' => esc_html__( 'Tools', 'fupi' ),
		'fields' => $tools_fields,
	),

	// PRIVACY

	array(
		'section_id' => 'fupi_tools_privacy',
		'section_title' => esc_html__( 'User-privacy solutions', 'fupi' ),
		'fields' => $privacy_fields,
	),

	// EXTENSIONS

	array(
		'section_id' => 'fupi_tools_ext',
		'section_title' => esc_html__( 'Extensions', 'fupi' ),
		'fields' => $extensions_fields
	),
);

?>
