<?php

$sections = array(

	array(
		'section_id' => 'fupi_track404_main',
		'section_title' => esc_html__( 'Track broken links)', 'fupi' ),
		'fields' => array(
			array(
				'type' 				=> 'text',
				'label' 			=> esc_html__( 'Use custom 404 page:', 'fupi' ),
				'field_id' 			=> 'redirect_404',
				'placeholder'		=> 'e.g. https://example.com/my-custom-404=page/',
				'class'				=> 'fupi_lite',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[redirect_404]',
				'popup'				=> '<p>' . esc_html__('Replace a generic "Page not found" page with a custom one. Simply create your own 404 page, paste its address to this field and save changes. All broken links will be redirected to your new and shiny page. Do not worry about tracking broken internal links too. They will still be tracked as described above.', 'fupi') . '</p><p>' . esc_html__('Attention! Do not forget to "noindex" your custom 404 page using your preferred SEO plugin. Otherwise this page may be indexed by Google and other search engines and may show up in some search results (although very rarely).', 'fupi') . '</p>',
			),
		),
	),
);

?>
