<?php

// GOOGLE_OPTIMIZE

if ( $this->goptimize_enabled ) {
    $goptimize_data = get_option( 'fupi_gopt' );
    if ( !empty($goptimize_data) ) {
        $fp['gopt'] = $goptimize_data;
    }
}

// GOOGLE ANALYTICS 4

if ( $this->ga41_enabled ) {
    $ga41_data = get_option( 'fupi_ga41' );
    if ( !empty($ga41_data) ) {
        $fp['ga41'] = $ga41_data;
    }
}

// GOOGLE ANALYTICS UA

if ( $this->ga1_enabled ) {
    $ga1_data = get_option( 'fupi_ga1' );
    if ( !empty($ga1_data) ) {
        $fp['ga1'] = $ga1_data;
    }
}

// GTM

if ( $this->gtm_enabled ) {
    $gtm_data = get_option( 'fupi_gtm' );
    if ( !empty($gtm_data) ) {
        $fp['gtm'] = $gtm_data;
    }
}

// FB PIXEL DATA

if ( $this->fbp1_enabled ) {
    $fbp1_data = get_option( 'fupi_fbp1' );
    if ( !empty($fbp1_data) ) {
        $fp['fbp1'] = $fbp1_data;
    }
}

// MS CLARITY

if ( $this->clar_enabled ) {
    $clar_data = get_option( 'fupi_clar' );
    if ( !empty($clar_data) ) {
        $fp['clar'] = $clar_data;
    }
}

// HOTJAR

if ( $this->hotj_enabled ) {
    $hotj_data = get_option( 'fupi_hotj' );
    if ( !empty($hotj_data) ) {
        $fp['hotj'] = $hotj_data;
    }
}

// INSPECTLET

if ( $this->inspectlet_enabled ) {
    $insp_data = get_option( 'fupi_insp' );
    if ( !empty($insp_data) ) {
        $fp['insp'] = $insp_data;
    }
}

// CRAZYEGG

if ( $this->crazyegg_enabled ) {
    $cegg_data = get_option( 'fupi_cegg' );
    if ( !empty($cegg_data) ) {
        $fp['cegg'] = $cegg_data;
    }
}

// LINKEDIN INSIGHT

if ( $this->linkd_enabled ) {
    $linkd_data = get_option( 'fupi_linkd' );
    if ( !empty($linkd_data) ) {
        $fp['linkd'] = $linkd_data;
    }
}

// TIKTOK

if ( $this->tik_enabled ) {
    $tik_data = get_option( 'fupi_tik' );
    if ( !empty($tik_data) ) {
        $fp['tik'] = $tik_data;
    }
}

// GOOGLE ADS

if ( $this->gads_enabled ) {
    $gads_data = get_option( 'fupi_gads' );
    if ( !empty($gads_data) ) {
        $fp['gads'] = $gads_data;
    }
}

// TWITTER ADS

if ( $this->twit_enabled ) {
    $twit_data = get_option( 'fupi_twit' );
    if ( !empty($twit_data) ) {
        $fp['twit'] = $twit_data;
    }
}

// PINTEREST ADS

if ( $this->pin_enabled ) {
    $pin_data = get_option( 'fupi_pin' );
    if ( !empty($pin_data) ) {
        $fp['pin'] = $pin_data;
    }
}

// MICROSOFT ADS

if ( $this->mads_enabled ) {
    $mads_data = get_option( 'fupi_mads' );
    if ( !empty($mads_data) ) {
        $fp['mads'] = $mads_data;
    }
}

// PLAUSIBLE

if ( $this->pla_enabled ) {
    $pla_data = get_option( 'fupi_pla' );
    $fp['pla'] = ( !empty($pla_data) ? $pla_data : array() );
    // plausible does not require any setup to run
}

// SPLITBEE

if ( $this->sbee_enabled ) {
    $sbee_data = get_option( 'fupi_sbee' );
    $fp['sbee'] = ( !empty($sbee_data) ? $sbee_data : array() );
    // splitbee does not require any setup to run
}
