;(function(window){

	var can_load_fbp1 = allow_loading_fbp(1);

    // load on pageload
	if ( can_load_fbp1 ) {
		var wait_for_nr2 = false;
		
		load_fbp(1, wait_for_nr2);
		
	}

    // Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'fbp':
				if ( allow_loading_fbp(1) ) {
					var wait_for_nr2 = false;
					
					load_fbp(1, wait_for_nr2);
					
				}
			break;
		}
	});

    function allow_loading_fbp(nr){
		return FP.isAllowedToLoad( 'fbp', ['stats', 'marketing'], ['pixel_id'], nr ); // module id in fp.XX / required cookie permission / settign name with required data (like in fp.ga.setting_name)
	}

    function load_fbp( nr, wait_for_nr2 ) {

		if ( nr == 1 ) {
			!function(f,b,e,v,n,t,s)
	        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
	        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
	        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
	        n.queue=[];t=b.createElement(e);t.async=!0;
	        t.src=v;s=b.getElementsByTagName(e)[0];
	        s.parentNode.insertBefore(t,s)}(window, document,'script',
	        'https://connect.facebook.net/en_US/fbevents.js');
		}

		fp.loaded.push( 'fbp' + nr );

		let _fbp = fp['fbp' + nr];

		_fbp.param = {}

		

		// USER ROLE
		if ( _fbp.track_user_role && fpdata.user_role && fpdata.user_role.length > 0 ) _fbp.param.user_type = fpdata.user_role;

		// TERMS
		if ( _fbp.track_terms && fpdata.terms && fpdata.terms.length > 0 ) {

			var term_arr = fpdata.terms.map( function (term_data) {
				var term = _fbp.send_tax_terms_titles ? term_data.name : term_data.slug;
				term += _fbp.add_tax_term_cat ? ' (' + term_data.taxonomy + ')' : '';
				return term;
			});

			_fbp.param.terms = term_arr.join(', ');
		}

		// INIT
		fbq('init', _fbp.pixel_id);

		// TRACK PAGEVIEW
		fbq( 'trackSingle', _fbp.pixel_id, 'PageView', _fbp.param );

		

		// LOAD FOOTER
		if ( FP.fns.load_fbp_footer ) FP.fns.load_fbp_footer(nr);

    }
})(window);
