;(function(window){

	FP.load_ga4 = function (nr, wait_for_nr2) {

		fp.loaded.push('ga4' + nr);

		var _ga = fp[ 'ga4' + nr ],
			params = {'groups' : 'fupi_ga4'};

		// CHANGE COOKIE PREFIX
		// optional for the tracking ID #1
		if ( _ga.cookie_prefix && nr == '1' ) params.cookie_prefix = '_fp4' + nr;

		// enable GA's debug mode
		// @ https://support.google.com/analytics/answer/7201382?hl=en
		params.debug_mode = _ga.debug_ga || fpdata.cookies.ga4_debug;

		

		// "USER ROLE" USER PROPERTY
		if ( _ga.user_role ) {
			if ( fpdata.user_role && fpdata.user_role.length > 0 ) {
				params['user_role'] = fpdata.user_role;
			}
		}

		// "TAXONOMY TERMS" CUSTOM DIMENSION
		if ( _ga.tax_terms && fpdata.terms && fpdata.terms.length > 0 ) {

			var term_arr = fpdata.terms.map( function (term_data) {
				var term = _ga.send_tax_terms_titles ? term_data.name : term_data.slug;
				term += _ga.add_tax_term_cat ? ' (' + term_data.taxonomy + ')' : '';
				return term;
			} );

			params['taxonomy_terms'] = term_arr.join(', ');
		}

		window.gtag( 'config', _ga.id, params );

		

		if( FP.fns.load_ga4_footer ) FP.fns.load_ga4_footer(nr);

	};

})(window);
