;(function(window){

	// load GTM only when the user didn't use magic URL to disable tracking and when we have the container's id
	if ( fp.gtm && fp.gtm.id && ! ( fpdata.cookies && fpdata.cookies.disabled ) ){

		// CREATE DATALAYER AND FILL IT WITH ALL BASIC DATA

		fp.gtm.datalayer = ! fp.gtm.datalayer || fp.gtm.datalayer == 'default' ? 'dataLayer' : 'fupi_dataLayer';

		window[fp.gtm.datalayer] = window[fp.gtm.datalayer] || [];

		var data_o = {};

		

		// USER ROLE
		if ( fp.gtm.user_role && fpdata.user_role && fpdata.user_role.length > 0)
		data_o['user role'] = fpdata.user_role;

		// TAXONOMY TERMS
		if ( fp.gtm.terms && fpdata.terms && fpdata.terms.length > 0 ) {
			var term_a = fpdata.terms.map( function (term_data) { return term_data.slug + ' (' + term_data.taxonomy + ')'; } );
			data_o['post terms'] = term_a.join(', ');
		}


		window[fp.gtm.datalayer].push(data_o);

		// LOAD GTM

		(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
		new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
		j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
		'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
		})(window,document,'script',fp.gtm.datalayer,fp.gtm.id);

		fp.loaded.push('gtm');

		

		// LOAD FOOTER SCRIPTS
		if( FP.fns.load_gtm_footer ) FP.fns.load_gtm_footer();
	}

})(window);
