;(function(window){

	// load on pageload
	if ( allow_loading_linkd() ) load_linkd();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'linkd':
				if ( allow_loading_linkd() ) load_linkd();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading_linkd(){
		return FP.isAllowedToLoad( 'linkd', ['stats','marketing'], ['id'] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
	}

	

	function after_linkd_loads(){

		// TRACK CLICKS ON PAGE ELEMENTS

		if ( fp.linkd.track_elems ) {
			FP.formatTextarea( 'linkd', 'track_elems' );
			FP.on( ['click'], function(){
				var conv_id  = FP.getClickTarget( fp.linkd.track_elems );
				if ( conv_id ) {
					window.lintrk('track', { conversion_id: conv_id });
					if ( fp.vars.debug ) console.log('LinkedIn event: element click', conv_id);
				}
			})
		}

		
	}

	function load_linkd() {

		fp.loaded.push('linkd'); // we push it before grabbing the script to prevent double loading it

		_linkedin_partner_id = fp.linkd.id;
		window._linkedin_data_partner_ids = window._linkedin_data_partner_ids || [];
		window._linkedin_data_partner_ids.push(_linkedin_partner_id);

		FP.getScript( "https://snap.licdn.com/li.lms-analytics/insight.min.js", after_linkd_loads, {'async' : true})
	}

})(window);
