;(function(window){

	function after_pla_loads () {

		window.plausible = window.plausible || function() { (window.plausible.q = window.plausible.q || []).push(arguments) };
		fp.loaded.push('pla');

		

		// LOAD FOOTER SCRIPTS
		if( FP.fns.load_pla_footer ) FP.fns.load_pla_footer();

	};

	// LOAD PLAUSIBLE ONLY WHEN THE USER DIDN'T USE MAGIC URL TO DISABLE TRACKING
	if ( fp.pla && ( fp.pla.force_load || ! ( fpdata.cookies && fpdata.cookies.disabled ) ) {

		let allow_loading = true;

		if ( fp.pla.limit_country ) {

			let geo_method = fp.pla.limit_country.method,
				geo_countries = fp.pla.limit_country.countries;

			if ( geo_method && geo_countries && fpdata.country != 'checking' && fpdata.country != 'unknown' ){
				// is the visit from an excluded country
				if ( geo_method == 'excl' ) {
					if ( FP.isIn( fpdata.country, geo_countries ) ) allow_loading = false;
					// or ISN'T from an included country
				} else {
					if ( ! FP.isIn( fpdata.country, geo_countries ) ) allow_loading = false;
				}
			}
		}

		if ( allow_loading ) {
			var data_domain = fp.pla.domain ? fp.pla.domain : location.host,
			script_domain = fp.pla.custom_domain ? '//' + fp.pla.custom_domain : 'https://plausible.io';

			FP.getScript( script_domain + '/js/plausible.js', after_pla_loads, { 'data-domain' : data_domain, 'defer' : 'defer' } );
		}
	}


})(window);
