;(function(window){

	FP.fns.load_twit_footer = function() {

		// TAG AFFILIATE LINKS

		if ( fp.twit.track_affiliate ) {
			FP.formatTextarea( 'twit', 'track_affiliate' );
			FP.on( ['click'], function(){
				var evt_id = FP.getTrackedAffiliateLink( fp.twit.track_affiliate );
				if ( evt_id ) {
					twttr.conversion.trackPid( evt_id, { tw_sale_amount: 0, tw_order_quantity: 0 });
					if ( fp.vars.debug ) console.log( 'Twit - affiliate click: ', evt_id );
				}
			})
		}

		// TAG CLICKS IN SPECIFIC ELEMENTS

		if ( fp.twit.track_elems ) {
			FP.formatTextarea( 'twit', 'track_elems' );
			FP.on( ['click'], function(){
				var evt_id  = FP.getClickTarget( fp.twit.track_elems );
				if ( evt_id ) {
					twttr.conversion.trackPid( evt_id, { tw_sale_amount: 0, tw_order_quantity: 0 });
					if ( fp.vars.debug ) console.log('Twit: element click', evt_id);
				}
			})
		}

		// TAG FORM SUBMITS

		if ( fp.twit.track_forms ) {
			FP.formatTextarea( 'twit', 'track_forms' );
			FP.on( ['form_submit'], function(){
				var evt_id = FP.getSubmittedForm( fp.twit.track_forms );
				if ( evt_id ){
					twttr.conversion.trackPid( evt_id, { tw_sale_amount: 0, tw_order_quantity: 0 });
					if ( fp.vars.debug ) console.log('Twit: form submit', evt_id);
				}
			})
		}
	}

	// INIT FOOTER SCRIPTS

	if ( fp.loaded.indexOf('twit') != -1 ) FP.fns.load_twit_footer();

})(window);
