<?php

switch( $a['id'] ){

    // INSTALLATION

	case 'fupi_clar_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
		<div class="fupi_info_tabs">

			<button type="button" class="fupi_tab fupi_active">Installation</button>
			<div class="fupi_tab_content">
				<p>To install Microsoft Clarity on your site please enter its Project ID in the field below. ' . sprintf( esc_html__( 'Visit %3$sclarity\'s dashboard%4$s and create or open a project. You will find the project\'s ID in the page’s URL (clarity.microsoft.com/projects/view/%1$sPROJECT_ID%2$s/...).', 'fupi' ), '<strong>', '</strong>', '<a href="https://clarity.microsoft.com/projects/" target="_blank">', '</a>' ) . '</p>
			</div>

			<button type="button" class="fupi_tab">Consent mode warning</button>
			<div class="fupi_tab_content">
				<p>Please do NOT turn off cookies in Clarity\'s dashboard.</p>
				<p>If you are using Full Picture\'s cookie notice then you may have seen an option to enable "consent mode" in its settings page. This mode is however not fully supported with MS Clarity due to lacking important features.</p>
				<p>Microsoft\'s implementation of "consent mode" does not allow for enabling it conditionally, e.g. only in certain locations or only in countries where cookie notice is displayed. Also, visitors will never be able to change their permissions if they ever decided not to allow for statistical cookies.</p>
			</div>
		</div>';

	break;

	// TAGS

	case 'fupi_clar_tags':
		return '<h3 class="fupi_title">Tag your recordings with user actions</h3>
		<p>Tags are used to filter recordings in Clarity\'s dashboard.</p>';
	break;

	// E-COMMERCE

	case 'fupi_clar_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> Tagging WooCommerce events is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>This module automatically tags session recordings in Clarity with WooCommerce events. You don\'t need to do anything else.</p>
				<p>Your session recordings will be tagged with purchases, checkouts, list item views, list item clicks, product views, additions and removals from cart. Tagging recordings with additions to a wishlist requires <a href="/wp-admin/admin.php?page=full_picture_woo" target="_blank">additional setup</a>.</p>
			</div>
		</div>';
	break;

	// DEPRECATED

	case 'fupi_clar_deprec':
		return '<h3 class="fupi_title">These functions will be removed in the future update of Full Picture</h3>';
	break;

    default:
        return '';
    break;
};

?>
