<?php

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_fbp1_install':

		return '<h3 class="fupi_title">Installation & loading</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<p>To install Facebook Pixel on your site please enter its ID in the field below. ' .  sprintf( esc_html__( 'To get it %1$svisit Facebook\'s event\'s manager%2$s, click green "+" icon on the left, choose "connect data sources" > "Web" > click "Connect" and follow instructions on screen.', 'fupi' ), '<a href="https://www.facebook.com/events_manager2/" target="_blank">', '</a>') . '</p>
				</div>
			</div>';
	break;

	// LOADING

	case 'fupi_fbp1_loading':
		return '<h3 class="fupi_title">Control when and where FB Pixel loads</h3>';
	break;

	// CLICK TRACKING

	case 'fupi_fbp1_clicks':
		return '<h3 class="fupi_title">Track clicks on important links and page elements</h3>';
	break;

	// FORM TRACKING

	case 'fupi_fbp1_forms':
		return '<h3 class="fupi_title">Track when your visitors submit forms on your site</h3>';
	break;

	// SCROLL TRACKING

	case 'fupi_fbp1_scroll':
		return '<h3 class="fupi_title">Track page scroll and visibility of page elements</h3>';
	break;

	// WP DATA

	case 'fupi_fbp1_wpdata':
		return '<h3 class="fupi_title">Track data from your WordPress site</h3>';
	break;

	// USER INFO

	case 'fupi_fbp1_user':
		return '<h3 class="fupi_title">Track user information</h3>';
	break;

	// TRACK ENGAGEMENT TIME

	case 'fupi_fbp1_engage':
		return '<h3 class="fupi_title">Track user engagement time</h3>';
	break;

	// E-COMMERCE

	case 'fupi_fbp1_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">About</button>
				<div class="fupi_tab_content">
					<p>This integration automatically tracks purchases, checkouts, product views, additions to cart and to wishlist.</p>
					<p>If you want to see and/or change how the data is tracked go to the <a href="/wp-admin/admin.php?page=full_picture_woo" target="_blank">WooCommerce tracking settings page</a>.</p>
				</div>
			</div>';
	break;

	break;

    default:
        return '';
    break;
};

?>
