<?php

$register_custom_def_txt = '<div class="fupi_info_tabs">
	<button type="button" class="fupi_tab fupi_active">About</button>
		<div class="fupi_tab_content">
			<p>To have this information available in GA you need to register custom definitions in Google Analytics\' admin dashboard.</p>
			<p><a href="https://www.youtube.com/watch?v=M_zQr6pcNk4" class="fupi_vid_link fupi_vid" data-srcid="M_zQr6pcNk4"><i class="dashicons dashicons-youtube"></i> <span>Learn how to register custom definitions in GA UA</span></a> (3:07 min).</p>
		</div>
	</div>';

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_ga1_install':

		return '<h3 class="fupi_title">Installation & loading</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<ol>
						<li>To install Google Analytics UA on your site please enter its Tracking ID in the field below. <a href="https://www.youtube.com/watch?v=K9uisokKto0" class="fupi_vid_link fupi_vid" data-srcid="K9uisokKto0"><span>Where to find it (1:11 min)</span> <i class="dashicons dashicons-youtube"></i></a></li>
						<li>If you are using both Google Analytics 4 and GA Universal Analytics please <a href="https://fullpictureplugin.com/?p=2268&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">disconnect them</a>.</li>
					</ol>
				</div>
				<button type="button" class="fupi_tab">Privacy compliance</button>
				<div class="fupi_tab_content">
					<p>Google Analytics (all versions) is illegal to use in Austria, the Netherlands, France, Denmark and Italy. Other European countries may soon follow.</p>
					<p>Anonymizing IP and using "Consent Mode" (GA4 only) does not change it. Google uses other means to collect personally-identifiable information on your users, store them in the US servers (not compliant with the EU privacy directives), create their profiles and share them with their partners.</p>
					<p>If your website is available in the above-mentioned countries please use the geolocation module to stop Google Analytics from loading in those countries.</p>
				</div>
			</div>';

	break;

	// Loading

	case 'fupi_ga1_basic':
		return '<h3 class="fupi_title">Control when and where Google Analytics loads</h3>';
	break;

	// CLICK TRACKING

	case 'fupi_ga1_clicks':
		return '<h3 class="fupi_title">Track clicks on important links and page elements</h3>';
	break;

	// FORM TRACKING

	case 'fupi_ga1_forms':
		return '<h3 class="fupi_title">Track when your visitors submit forms on your site</h3>';
	break;

	// SCROLL TRACKING

	case 'fupi_ga1_scrolls':
		return '<h3 class="fupi_title">Track page scrolls and element visibility</h3>';
	break;

	// URL TRACKING

	case 'fupi_ga1_urls':
		return '<h3 class="fupi_title">Track changes of page address</h3>';
	break;

	// WP DATA TRACKING

	case 'fupi_ga1_wpdata':
		return '<h3 class="fupi_title">Track data from your WordPress site</h3>' . $register_custom_def_txt;
	break;

	// CUSTOM METRICS

	case 'fupi_ga1_custom_metrics':
		return '<h3 class="fupi_title">Track user engagement time and on-site search</h3>' . $register_custom_def_txt;
	break;

	// CUSTOM CONTENT GROUPING

	case 'fupi_ga1_custom_grouping':
		return '<h3 class="fupi_title">Analyze groups of similar pages</h3>' . $register_custom_def_txt;
	break;

	// OTHER TRACKING OPTIONS

	case 'fupi_ga1_other':
		return '<h3 class="fupi_title">Other tracking options</h3>';
	break;

	// E-COMMERCE

	case 'fupi_ga1_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Important</button>
				<div class="fupi_tab_content">
					<p>You also need to <a href="https://support.google.com/analytics/answer/6032539?hl=en">enable Enchanced Ecommerce</a> in your Google Analytics dashboard (if you haven\'t done it so far).</p>
				</div>
				<button type="button" class="fupi_tab">About</button>
				<div class="fupi_tab_content">
					<p>Full Picture automatically tracks WooCommerce purchases, checkouts, list item views, list item clicks, product views, additions and removals from cart in your WooCommerce store.</p>
					<p>This page contains WooCommerce settings related to this tracking tool. If you want to see and/or change global WooCommerce tracking settings (that relate to all enabled tools) go to the <a href="/wp-admin/admin.php?page=full_picture_woo" target="_blank">WooCommerce tracking settings page</a>.</p>
				</div>
			</div>';
	break;

	// DEPRECATED

	case 'fupi_ga1_deprecated':
		return '<h3 class="fupi_title">These functions are scheduled for removal in future updates</h3>';
	break;

    default:
        return '';
    break;
};

?>
