<?php

$register_custom_data_in_ga_txt = '
	<div class="fupi_info_tabs">
		<button type="button" class="fupi_tab fupi_active">About</button>
		<div class="fupi_tab_content">
			<p>To have this data available in Google Analytics you need to register names highlighted in orange (below) in Google Analytics. <a href="https://www.youtube.com/watch?v=vUbSZTolS48" class="fupi_vid_link fupi_vid" data-srcid="vUbSZTolS48"><i class="dashicons dashicons-youtube"></i>&nbsp;<span>Learn how to do it (1:42 min)</span></a>.</p>
		</div>
	</div>';

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_ga41_install':

		return '<h3 class="fupi_title">Installation & loading</h3>
			<div class="fupi_info_tabs">

				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<ol>
						<li><a href="https://www.youtube.com/watch?v=C8QN-Ie49e0" class="fupi_vid_link fupi_vid" data-srcid="C8QN-Ie49e0"><i class="dashicons dashicons-youtube"></i> <span>Get measurement ID (0:48 min)</span></a> and enter it in the field below.</li>
						<li>If you are using both Google Analytics 4 and GA Universal Analytics please <a href="https://fullpictureplugin.com/?p=2268&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">disconnect them</a>.</li>
					</ol>
				</div>

				<button type="button" class="fupi_tab">Consent mode</button>
				<div class="fupi_tab_content">
					<p>Full Picture lets you load Google Analytics in consent mode. When consent mode is active Google Analytics will work in no-cookies mode until visitors agree to cookies in a cookie notice.</p>
					<p>You can enable consent mode in the settings of the cookie notice module.</p>
				</div>

				<button type="button" class="fupi_tab">Privacy compliance</button>
				<div class="fupi_tab_content">
					<p>Google Analytics (all versions) is illegal to use in Austria, the Netherlands, France, Denmark and Italy. Other European countries may soon follow.</p>
					<p>Anonymizing IP and using "Consent Mode" (GA4 only) does not change it. Google uses other means to collect personally-identifiable information on your users, store them in the US servers (not compliant with the EU privacy directives), create their profiles and share them with their partners.</p>
					<p>If your website is available in the above-mentioned countries please use the geolocation module to stop Google Analytics from loading in those countries.</p>
				</div>

			</div>';

	break;

	// CLICK TRACKING
	case 'fupi_ga41_clicks':
		return '<h3 class="fupi_title">Track clicks on important links and page elements</h3>' . $register_custom_data_in_ga_txt;
	break;

	// FORM TRACKING

	case 'fupi_ga41_forms':
		return '<h3 class="fupi_title">Track when your visitors submit forms on your site</h3>' . $register_custom_data_in_ga_txt;
	break;

	// SCROLL TRACKING

	case 'fupi_ga41_scrolls':
		return '<h3 class="fupi_title">Track page scrolls and element visibility</h3>' . $register_custom_data_in_ga_txt;
	break;

	// WP DATA TRACKING

	case 'fupi_ga41_wpdata':
		return '<h3 class="fupi_title">Track data from your WordPress site</h3>' . $register_custom_data_in_ga_txt;
	break;

	// CUSTOM METRICS

	case 'fupi_ga41_custom_metrics':
		return '<h3 class="fupi_title">Track user engagement time and on-site search</h3>' . $register_custom_data_in_ga_txt;
	break;

	// ERROR TRACKING

	case 'fupi_ga41_other':
		return '<h3 class="fupi_title">Other tracking options</h3>' . $register_custom_data_in_ga_txt;
	break;

	// E-COMMERCE

	case 'fupi_ga41_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">

			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>This integration automatically tracks purchases, checkouts, list item views, list item clicks, product views, additions and removals from cart and additions to wishlist in your WooCommerce store.</p>
				<p>If you want to see and/or change how the data is tracked go to the <a href="/wp-admin/admin.php?page=full_picture_woo" target="_blank">WooCommerce tracking settings</a>.</p>
				<p>You can view your store\'s basic ecommerce data in standard GA 4 reports ("Monetisation" section) but you will have to create custom reports to view the details.</p>
			</div>
		</div>';
	break;

	// DEPRECATED

	case 'fupi_ga41_deprecated':
		return '<h3 class="fupi_title">These functions are scheduled for removal in future updates</h3>';
	break;

    default:
        return '';
    break;
};

?>
