<?php

switch( $a['id'] ){

	// MAIN

	case 'fupi_gads_install':

		return '<h3 class="fupi_title">Installation & loading</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<p>To install Google Ads on this site you need to enter your Google Ads Conversion ID (Global Site Tag ID) in the field below.<br><a href="https://www.youtube.com/watch?v=KMunDt7jpbg" class="fupi_vid_link fupi_vid" data-srcid="KMunDt7jpbg"><i class="dashicons dashicons-youtube"></i> <span>Where to find it (30 secs)</span></a></p>
				</div>
				<button type="button" class="fupi_tab">Consent mode</button>
				<div class="fupi_tab_content">
					<p>Full Picture lets you load Google Ads in consent mode. When consent mode is active Google Ads will work in no-cookies mode until visitors agree to cookies in a cookie notice.</p>
					<p>To enable consent mode enable "Cookie notice" module and a "no-cookie" mode (you will find it in its settings).</p>
				</div>
			</div>';
	break;

	// EVENTS

	case 'fupi_gads_events':
		return '<h3 class="fupi_title">Track user actions</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About this page</button>
			<div class="fupi_tab_content">
				<p>Use the settings below to track user actions. You will be able to track them as conversions in your Google Ads and build audience lists of people with similar behavior.</p>
				<p>In order for this to work, you will have to enter a <strong>different</strong> action conversion ID for each action. Learn <a href="https://www.youtube.com/watch?v=HWSk4d-JDMA" class="fupi_vid_link fupi_vid" data-srcid="HWSk4d-JDMA"><i class="dashicons dashicons-youtube"></i> <span>how to do this (1:45min)</span></a></p>
			</div>
		</div>';
	break;

	// E-COMMERCE

	case 'fupi_gads_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">About this page</button>
				<div class="fupi_tab_content">
					<p>Full Picture tracks purchases in your store. To send them to Google Ads as conversions you need to enter a Conversion ID (from your Google Ads panel) in the field below to. Learn <a href="https://www.youtube.com/watch?v=HTSKZAjvRME" class="fupi_vid_link fupi_vid" data-srcid="HTSKZAjvRME"><i class="dashicons dashicons-youtube"></i> <span>where to find it (1:19min)</span></a></p>
				</div>
			</div>';

	break;

    default:
        return '';
    break;
};

?>
