<?php

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_hotj_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<p>Log in to Hotjar > choose your website or add a new one > on the "workspaces" page look at the URL. Copy the site ID that will be in that page\'s URL https://insights.hotjar.com/sites/<strong>[SITE_ID]</strong>/. Finally, paste the site ID in the field below </p>
				</div>
			</div>';
	break;

	// TAGS

	case 'fupi_hotj_tags':

		return '<h3 class="fupi_title">Tag your recordings</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p><strong>Tagging recordings is available in Hotjar\'s paid plans</strong>. Tags help you quickly find the recordings you need.</p>
			</div>
			<button type="button" class="fupi_tab">Hotjar\'s limits</button>
			<div class="fupi_tab_content">
				<ol>
					<li>One recording can have NO MORE than 50 tags associated with it. Tags over this limit will be ignored.</li>
					<li>There can be a MAXIMUM of 1000 different tags and events per site.</li>
				</ol>
				<p>Pay attention to the number of tags your site sends. Read descriptions of the settings below for more information regarding possible increase in the number of tags / events that is sent to Hotjar.</p>
			</div>
		</div>';
	break;

	// USER IDENTIFICATION

	case 'fupi_hotj_users':
		return '<h3 class="fupi_title">Send user attributes</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">About</button>
				<div class="fupi_tab_content">
					<p><strong>To use these options you need a Hotjar Business plan.</strong></p>
					<p>With user attributes you can target specific users with polls and widgets and filter recordings.</p>
					<p>To be able to identify users you need to go to your Hotjar dashboard and follow <a href="https://help.hotjar.com/hc/en-us/articles/360033640653-Identify-API-Reference#making-calls-to-identify" target="_blank">these steps</a>.</p>
				</div>
			</div>';
	break;

	// E-COMMERCE

	case 'fupi_hotj_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">About</button>
				<div class="fupi_tab_content">
					<p><strong>Tagging recordings is available in Hotjar\'s paid plans</strong><p>
					<p>This module lets you tag recordings with WooCommerce events listed below. Tags help you quickly find the recordings you need.</p>
				</div>
				<button type="button" class="fupi_tab">Hotjar\'s limits</button>
				<div class="fupi_tab_content">
					<ol>
						<li>One recording can have NO MORE than 50 tags associated with it. Tags over this limit will be ignored.</li>
						<li>There can be a MAXIMUM of 1000 different tags and events per site.</li>
					</ol>
					<p>Pay attention to the number of tags your site sends. Read descriptions of the settings below for more information regarding possible increase in the number of tags / events that is sent to Hotjar.</p>
				</div>
			</div>';

	break;

    default:
        return '';
    break;
};

?>
