<?php

switch( $a['id'] ){

    // MAIN

	case 'fupi_linkd_install':

		return '<h3 class="fupi_title">Installation and loading of LinkedIn Insight Tag</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">Installation</button>
			<div class="fupi_tab_content">
				<p>To install LinkedIn Insight Tag paste your Partner ID in the field below. '. sprintf( esc_html__( '%1$sLearn how to get it%2$s', 'fupi' ), '<a href="https://www.linkedin.com/help/lms/answer/a417869/access-your-linkedin-partner-id?lang=en" target="_blank">', '</a>' ) .'</p>
			</div>
		</div>';

	break;

    // EVENT CONVERSIONS

	case 'fupi_linkd_events':
		return '<h3 class="fupi_title">Track conversions that happen after certain events</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>To track conversions that happen after certain events you need to register a separate conversion for each event.</p>
				<p>Go to <a href="https://www.linkedin.com/campaignmanager/login" target="_blank">LinkedIn Campaign Manager</a> > Account Assets > Conversions > Create a conversion. In the 3rd step of configuration click "Insight tag (recommended)". It is hardly visible, but it\'s there. Finally, copy the value of "conversion_id" from the script and paste it into one of the fields below.</p>
				<p>Remember, each field below needs to be filled with a different ID!</p>
			</div>
		</div>';
	break;

	case 'fupi_linkd_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">How to set it up</button>
			<div class="fupi_tab_content">
				<p>To track the e-commerce events listed below, you need to register them in Linked dashboard.</p>
				<p>Go to <a href="https://www.linkedin.com/campaignmanager/login" target="_blank">LinkedIn Campaign Manager</a> > Account Assets > Conversions > Create a conversion. In the 3rd step of configuration click "Insight tag (recommended)". It is hardly visible, but it\'s there. Finally, copy the value of "conversion_id" from the script and paste it into one of the fields below.</p>
			</div>
		</div>';

	break;

    default:
        return '';
    break;
};

?>
