<?php

$main_opts = get_option('fupi_main');
$magic_keyword = ! empty ( $main_opts['magic_keyword'] ) ? $main_opts['magic_keyword'] : 'tracking';

switch( $a['id'] ){

	// DO NOT TRACK

	case 'fupi_main_no_track':

		return '<h3 class="fupi_title">Tracking exceptions</h3>
			<p>Turn off tracking for specific users and user groups. You can do it in 2 ways:</p>
			<ol>
				<li>By choosing user roles that should not be tracked (works only for logged-in users)</li>
				<li>With this link: <a href="' . get_bloginfo('url') . '/?' . $magic_keyword . '=off"><strong>' . get_bloginfo('url') . '/?' . $magic_keyword . '=off</strong></a>. <a href="https://www.youtube.com/	watch?v=bNYNX2vDrQo" class="fupi_vid_link fupi_vid" data-srcid="bNYNX2vDrQo"><i class="dashicons dashicons-youtube"></i> <span>Learn how it works (1:14 min)</span></a></li>
			</ol>';
	break;

	// CHANGE DEFAULT SETTINGS

	case 'fupi_main_default':
		return '<h3 class="fupi_title">Default tracking settings</h3>
			<p>Settings below change how all tracking tools integrated with Full Picture track data.</p>';
	break;

	// OTHER SETTINGS

	case 'fupi_main_other':
		return '<h3 class="fupi_title">Other settings</h3>';
	break;

	// DEFAULT

	default:
		return '';
	break;
};

?>
