<?php

$fupi_ext = get_option('fupi_ext');

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_sbee_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">Installation</button>
			<div class="fupi_tab_content">
				<p>To start using Splitbee make sure that this site\'s domain matches the one you registered in Splitbee\'s dashboard. You do not need to do anything else. Full Picture installed Splitbee on your site the moment you enabled this module.</p>
			</div>
			<button type="button" class="fupi_tab">No-cookie mode</button>
			<div class="fupi_tab_content">
				<p>Full Picture lets you load Splitbee in no-cookie mode. This option is only available when the cookie notice module is active.</p>
				<p>Splitbee in no-cookie mode will not save cookies on your visitor\'s browsers until they agree to cookies in a cookie notice.</p>
			</div>
		</div>';
	break;

	// A/B TESTS

	case 'fupi_sbee_tests':
		return '<h3 class="fupi_title">Test various versions of your content</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>Content experiments let you test various versions of your content to check which one performs best. I do not recommend however, to use it on sites with small traffic. Check out <a href="https://cxl.com/ab-test-calculator/" target="_blank">this calculator</a> to see how much traffic you need to see a valid result.</p>
			</div>
		</div>';
	break;

	// EVENT TRACKING

	case 'fupi_sbee_events':
		return '<h3 class="fupi_title">Track what people do on your site</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Important</button>
				<div class="fupi_tab_content">
					<p>Attention! Splitbee does not report multiple events of the <strong>same name</strong> in one session. For example, if a visitor clicks the same element 3 times, the click will be reported only once.</p>
				</div>
			</div>';
	break;

	// USER IDENTIFICATION

	case 'fupi_sbee_user':
		return '<h3 class="fupi_title">Extend Splitbee\'s visitor profiles with extra information</h3>';
	break;

	// E-COMMERCE

	case 'fupi_sbee_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>Automatic tracking of WooCommerce purchases, checkouts, additions and removals from cart is running. You can change how they are tracked Go to the settings page of the "WooCommerce tracking" module to change how WooCommerce is tracked and configure tracking clicks in "add to wishlist" buttons.</p>
			</div>
		</div>';

	break;

    default:
        return '';
    break;
};

?>
