<?php

switch( $a['id'] ){

    // INSTALL

	case 'fupi_tik_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">Installation</button>
			<div class="fupi_tab_content">
				<p>To install TikTok Pixel enter Pixel ID in the field below. To find it login to <a href="https://ads.tiktok.com/" target="_blank">ads.tiktok.com</a>, go to "Assets" > "Events" and copy Pixel ID from the available ones (above graphs) or create a new one.</p>
				<p>Attention! Create pixel in the <strong>DEVELOPER MODE</strong> to be able to use the features in the following sections. This is very important. Once you create a pixel you cannot change its mode without deleting it and creating it again! This however will clear all your custom audience lists that you gather in TikTok.</p>
			</div>
		</div>';

	break;

	// EVENT CONVERSIONS

	case 'fupi_tik_events':
		return '<h3 class="fupi_title">Track simple events</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>The settings below work only with TikTok Pixel in the <strong>developer mode</strong>!</p>
				<p>If your Pixel is not in the developer mode you need to create a new one. You cannot change the mode of the Pixel once you create it. Go to the "Installation" section of this page, remove the Pixel ID and save the page. You will then see a step-by-step instruction on how to create a Pixel in with developer mode.</p>
			</div>
		</div>';
	break;

	// WOO

	case 'fupi_tik_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> Tagging WooCommerce events is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>WooCommerce tracking works only only with TikTok Pixel in the <strong>developer mode</strong>!</p>
				<p>If your Pixel is not in the developer mode you need to create a new one. You cannot change the mode of the Pixel once you create it. Go to the "Installation" section of this page, remove the Pixel ID and save the page. You will then see a step-by-step instruction on how to create a Pixel in with developer mode.</p>
				<p>Full Picture automatically tracks and reports to TikTok these WooCommerce events: purchase, checkout, add to cart and add to wishlist (requires additional setup in the WooCommerce tracking settings page).</p>
			</div>
		</div>';

	break;

    default:
        return '';
    break;
};

?>
