<?php

$fupi_events_reg_guide = '<ol>
	<li>Log in to <a href="https://ads.twitter.com" target="_blank">ads.twitter.com</a></li>
	<li>In the top menu click "Tools" > "Events manager"</li>
	<li>In the top-right corner click "Add event source"</li>
	<li>Choose "Single-event website tag"</li>
	<li>Give it a name and specify the type of the action you want to track (Choose "custom" if it is not on the list).</li>
	<li>Proceed until you are given a snippet of code.</li>
	<li>Do NOT copy the code. Click the black button to continue.</li>
	<li>After the popup disapears find your event in the left menu and choose it</li>
	<li>Look for the name of your event on the page. There is a text ID: XXXXX right below it. This is your Single Event Tag ID.</li>
	<li>Paste that ID in the field below and save settings. Attention! One ID can be used only in one field!</li>
</ol>';

switch( $a['id'] ){

	case 'fupi_twit_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<ol>
						<li>Login to <a href="https://ads.twitter.com" target="_blank">ads.twitter.com</a></li>
						<li>In the top menu click "Tools" > "Events manager"</li>
						<li>In the top-right corner click "Add event source"</li>
						<li>Choose "Universal website tag"</li>
						<li>Proceed until you are given a snippet of code.</li>
						<li>Do NOT copy the code. Click the black button to continue.</li>
						<li>After the popup disapears look for the text "Universal Website tag" on the page. There is a text ID: XXXXX right below it. This is your Website Tag ID.</li>
						<li>Paste that ID in the field below and save settings</li>
					</ol>
				</div>
			</div>';

	break;

	case 'fupi_twit_single':

		return '<h3 class="fupi_title">Track single events</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">About</button>
				<div class="fupi_tab_content">
					<p>The settings below let you track actions that users take on your website. To track them you need to register single event IDs in the Twitter Ads dashboard. Follow the guide in the next tab to learn how to do it.</p>
				</div>
				<button type="button" class="fupi_tab">How to register single event IDs</button>
				<div class="fupi_tab_content">
					'.$fupi_events_reg_guide.'
				</div>
			</div>';

	break;

	// E-COMMERCE TRACKING

	case 'fupi_twit_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> Tagging WooCommerce events is <strong style="color: green">enabled</strong> but...</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>This Twitter module automatically tracks WooCommerce purchases, checkouts, product views and adding products to cart. To use this data for conversion tracking and audience building you need to register single events in Twitter dashboard for each of these actions. Follow these instructions:</p>
			</div>
			<button type="button" class="fupi_tab">How to register single event IDs</button>
			<div class="fupi_tab_content">
				'.$fupi_events_reg_guide.'
			</div>
		</div>';

	break;

    default:
        return '';
    break;
};

?>
