<?php

class Fupi_Deactivator {

	public static function deactivate() {

		$fupi_main = get_option('fupi_main');

		if ( ! empty( $fupi_main ) && ! empty( $fupi_main['clean_all'] ) ) {

			foreach ( FUPI_MODULES as $module ){
				delete_option( 'fupi_' . $module[0] );
			}

			// customizer
			delete_option( 'fupi_cookie_notice' );
			delete_option( 'fupi_versions' );
			remove_theme_mod( 'fupi_notice_bg_color' );
			remove_theme_mod( 'fupi_notice_h_color' );
			remove_theme_mod( 'fupi_notice_text_color' );
			remove_theme_mod( 'fupi_notice_cta_color' );
			remove_theme_mod( 'fupi_notice_cta_txt_color' );
			remove_theme_mod( 'fupi_notice_cta_color_hover' );
			remove_theme_mod( 'fupi_notice_cta_txt_color_hover' );
			remove_theme_mod( 'fupi_notice_btn_color' );
			remove_theme_mod( 'fupi_notice_btn_txt_color' );
			remove_theme_mod( 'fupi_notice_btn_color_hover' );
			remove_theme_mod( 'fupi_notice_btn_txt_color_hover' );
			remove_theme_mod( 'fupi_notice_switch_color' );
			remove_theme_mod( 'fupi_cookie_notice_border' );
			remove_theme_mod( 'fupi_notice_border_color' );
			remove_theme_mod( 'fupi_cookie_notice' );
		}
	}

}
