;(function(window){

	// load on pageload
	if ( allow_loading_cegg() ) load_cegg();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'cegg':
				if ( allow_loading_cegg() ) load_cegg();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading_cegg(){
		return FP.isAllowedToLoad( 'cegg', ['stats', 'personalisation'], ['script_src'] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
	}

	function after_cegg_loads() {
		window.CE_READY = function() {

			fp.loaded.push( 'cegg' );

			

			// LOAD FOOTER SCRIPTS
			if ( FP.fns.load_cegg_footer ) FP.fns.load_cegg_footer();
		}
	}

	function load_cegg() {
	    FP.getScript( fp.cegg.script_src, after_cegg_loads, { 'async' : 'async' } );
	}

})(window);
