;(function(window){

	// LOAD ON PAGELOAD
	if ( allow_loading_clar() ) load_clar();

	// LOAD ON EVENT
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'clar':
				if ( allow_loading_clar() ) load_clar();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading_clar(){
		 var isAllowedToLoad = FP.isAllowedToLoad( 'clar', ['stats'], ['id'], false, true ); // module id, req permission, required data ids, integration number, if has no cookie mode
		 return isAllowedToLoad;
	}

	

	function load_clar() {

		// LOAD CLARITY

	    (function(c,l,a,r,i,t,y){
	        c[a]=c[a]||function(){(c[a].q=c[a].q||[]).push(arguments)};
	        t=l.createElement(r);t.async=1;t.src="https://www.clarity.ms/tag/"+i;
	        y=l.getElementsByTagName(r)[0];y.parentNode.insertBefore(t,y);
	    })(window, document, "clarity", "script", fp.clar.id);

		fp.loaded.push('clar');

		// TAG WITH USER ROLE AND STATUS
		if ( fp.clar.tag_user_role && fpdata.user_role ) clarity( 'set', 'User role', fpdata.user_role );

		

		// LOAD FOOTER SCTIPTS
		if( FP.fns.load_clar_footer ) FP.fns.load_clar_footer();
	}

})(window);
