;(function(window){

	

	FP.load_ga = function (nr, wait_for_nr2) {

		fp.loaded.push( 'ga' + nr );

		var _ga = fp[ 'ga' + nr ],
			params = {'groups' : 'fupi_ga'};

		// force transport by beacon everywhere except IE
		if ( typeof navigator.sendBeacon == 'function ') params.transport_type = 'beacon';

		if ( nr == '1' ) {

			// CHANGE COOKIE PREFIX
			if ( _ga.cookie_prefix ) params.cookie_prefix = '_fp' + nr;

			// LOAD GOOGLE OPTIMIZE
			// https://support.google.com/optimize/answer/9183119?hl=en
			if ( fp.gopt && fp.gopt.container_id && fp.gopt.main_load_method == 'gtag') {
				params.optimize_id = fp.gopt.container_id;
				fp.loaded.push('gopt');
			}
		}

		

		// "USER ROLE" CUSTOM DIMENSION
		if ( _ga.user_role_dimens ) {
			if ( fpdata.user_role && fpdata.user_role.length > 0 ) {
				params['dimension' + _ga.user_role_dimens] = fpdata.user_role;
			}
		}

		// Anonymize IPs
		if ( _ga.anonimize ) params.anonymize_ip = true;

		

		// "TAXONOMY TERMS" CUSTOM DIMENSION
		if ( _ga.tax_terms_dimens && fpdata.terms && fpdata.terms.length > 0 ) {

			var term_arr = fpdata.terms.map( function (term_data) {
				var term = _ga.send_tax_terms_titles ? term_data.name : term_data.slug;
				term += _ga.add_tax_term_cat ? ' (' + term_data.taxonomy + ')' : '';
				return term;
			} );

			params['dimension' + _ga.tax_terms_dimens] = term_arr.join(', ');
		}

		_ga.config_params = params;
		window.gtag('config', _ga.tracking_id, params);

		

		// LOAD FOOTER
		if ( FP.fns.load_ga_footer ) FP.fns.load_ga_footer(nr);
	};

})(window);
