;(function(window){

	// load on pageload
	if ( allow_loading_hotj() ) load_hotj();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'hotj':
				if ( allow_loading_hotj() ) load_hotj();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading_hotj(){
		 var isAllowedToLoad = FP.isAllowedToLoad( 'hotj', ['stats'], ['id'] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
		 return isAllowedToLoad;
	}

	function load_hotj() {

		window.hj=window.hj||function(){(hj.q=hj.q||[]).push(arguments)};

		// LOAD HOTJAR

	    (function(h,o,t,j,a,r){
	        h.hj=h.hj||function(){(h.hj.q=h.hj.q||[]).push(arguments)};
	        h._hjSettings={hjid:fp.hotj.id,hjsv:6};
	        a=o.getElementsByTagName('head')[0];
	        r=o.createElement('script');r.async=1;
	        r.src=t+h._hjSettings.hjid+j+h._hjSettings.hjsv;
	        a.appendChild(r);
	    })(window,document,'https://static.hotjar.com/c/hotjar-','.js?sv=');

		fp.loaded.push('hotj');

		// TAG SESSION WITH STATIC TAGS
		let static_tags = [];

		if ( fp.hotj.tag_user_role && fpdata.user_role ) static_tags.push( 'user role: ' + fpdata.user_role );
		

		// Send static tags
		if ( static_tags.length > 0 ) {
			hj( 'tagRecording', static_tags );
			if ( fp.vars.debug ) console.log('HJ event: sent static tags', static_tags );
		}

		

		// LOAD FOOTER SCRIPTS
		if( FP.fns.load_hotj_footer ) FP.fns.load_hotj_footer();
	}

})(window);
