;(function(window){

	// load on pageload
	if ( allow_loading_twit() ) load_twit();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'twit':
				if ( allow_loading_twit() ) load_twit();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading_twit(){
		return FP.isAllowedToLoad( 'twit', ['stats','marketing'], ['id'] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
	}

	function load_twit() {

		// LOAD UNIVERSAL TAG

		!function(e,t,n,s,u,a){
			e.twq||(s=e.twq=function(){s.exe?s.exe.apply(s,arguments):s.queue.push(arguments);},
			s.version='1.1',
			s.queue=[],
			u=t.createElement(n),
			u.async=!0,
			u.src='//static.ads-twitter.com/uwt.js',
			a=t.getElementsByTagName(n)[0],
			a.parentNode.insertBefore(u,a))
		}(window,document,'script');

		twq('init', fp.twit.id);
		twq('track','PageView');

		fp.loaded.push('twit');

		

		function hook_custom_events_queue(){
			
		}

		// here we load twitter script for single events
		FP.getScript( '//platform.twitter.com/oct.js',
			// fire custom events only when the script is loaded
			() => { document.readyState != 'loading' ? hook_custom_events_queue() : document.addEventListener( 'DOMContentLoaded', () => hook_custom_events_queue() ); },
			{'async' : 'async'}
		);

		// LOAD FOOTER SCRIPTS
		if ( FP.fns.load_twit_footer ) FP.fns.load_twit_footer();
	}

})(window);
